Page MenuHomePhabricator

Reset RESTBase deployment-prep environment
Closed, ResolvedPublic

Description

During the transition from the legacy storage system, to the new current revision strategy, the deployment-prep environment became out-of-sync with current production.

We should upgrade deployment-restbase0{1,2}.deployment-prep.eqiad.wmflabs to Cassandra 3.11.0, decommission the two recently added Cassandra 3x nodes, and bring RESTBase up-to-date with the current code.

Details

Related Gerrit Patches:
operations/puppet : productionBeta: RESTBase: Add Cassandra TLS config
mediawiki/services/restbase/deploy : masterConfig: Beta: Do not set up SSL
operations/puppet : productiondeployment-prep: Upgrade RESTBase Cassandra nodes to 3.11.2

Event Timeline

Eevans created this task.Feb 7 2018, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2018, 8:54 PM
Eevans triaged this task as Normal priority.Feb 7 2018, 8:55 PM
Eevans added projects: Services, User-Eevans.
mobrovac edited projects, added Services (next); removed Services.Mar 1 2018, 8:34 PM

Change 449242 had a related patch set uploaded (by Eevans; owner: Eevans):
[operations/puppet@production] deployment-prep: Upgrade RESTBase Cassandra nodes to 3.11.2

https://gerrit.wikimedia.org/r/449242

mobrovac claimed this task.Jul 30 2018, 5:51 PM
mobrovac edited projects, added Services (doing); removed Services (next).

Change 449242 merged by Dzahn:
[operations/puppet@production] deployment-prep: Upgrade RESTBase Cassandra nodes to 3.11.2

https://gerrit.wikimedia.org/r/449242

Change 449267 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Beta: RESTBase: Add Cassandra TLS config

https://gerrit.wikimedia.org/r/449267

Change 449270 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Config: Beta: Do not set up SSL

https://gerrit.wikimedia.org/r/449270

Change 449270 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Config: Beta: Do not set up SSL

https://gerrit.wikimedia.org/r/449270

Change 449267 abandoned by Mobrovac:
Beta: RESTBase: Add Cassandra TLS config

Reason:
I1f70d8864898a5aaa27ec5fa5ea9d6c536dd1ad8 is the correct solution to the problem

https://gerrit.wikimedia.org/r/449267

mobrovac closed this task as Resolved.Jul 30 2018, 7:13 PM
mobrovac edited projects, added Services (done); removed Services (doing).
mobrovac edited projects, added RESTBase; removed Patch-For-Review.